Skip to main content
GET
List Journeys

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

The ID of the team to list journeys for.

Query Parameters

filterGroups.predicates.requester.operator
enum<string>
Available options:
SET_OPERATOR_UNSPECIFIED,
SET_OPERATOR_INCLUDES,
SET_OPERATOR_EXCLUDES
filterGroups.predicates.requester.userIds
string[]
filterGroups.predicates.requester.currentUser
boolean
filterGroups.predicates.requester.none
boolean
filterGroups.predicates.workflow.workflowIds
string[]
filterGroups.predicates.completion.operator
enum<string>
Available options:
COMPARISON_OPERATOR_UNSPECIFIED,
COMPARISON_OPERATOR_EQ,
COMPARISON_OPERATOR_NE,
COMPARISON_OPERATOR_GT,
COMPARISON_OPERATOR_GTE,
COMPARISON_OPERATOR_LT,
COMPARISON_OPERATOR_LTE
filterGroups.predicates.completion.value
integer<int32>
filterGroups.predicates.healthChecks.operator
enum<string>
Available options:
SET_OPERATOR_UNSPECIFIED,
SET_OPERATOR_INCLUDES,
SET_OPERATOR_EXCLUDES
filterGroups.predicates.healthChecks.statuses
enum<string>[]
Available options:
HEALTH_CHECK_ROLLUP_STATUS_UNSPECIFIED,
HEALTH_CHECK_ROLLUP_STATUS_PASSING,
HEALTH_CHECK_ROLLUP_STATUS_WARNING,
HEALTH_CHECK_ROLLUP_STATUS_FAILING,
HEALTH_CHECK_ROLLUP_STATUS_NONE
filterGroups.predicates.dueDate.hasDueDate
boolean

If true, only include items that have a due date set.

filterGroups.predicates.dueDate.isOverdue
boolean

If true, only include items that are overdue (due date before today).

filterGroups.predicates.dueDate.dueBefore.year
integer<int32>

Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.

filterGroups.predicates.dueDate.dueBefore.month
integer<int32>

Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.

filterGroups.predicates.dueDate.dueBefore.day
integer<int32>

Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.

filterGroups.predicates.customFields.filters.fieldId
string
filterGroups.predicates.customFields.filters.fieldKey
string
filterGroups.predicates.customFields.filters.text.eq
string
filterGroups.predicates.customFields.filters.text.ne
string
filterGroups.predicates.customFields.filters.text.contains
string
filterGroups.predicates.customFields.filters.text.startsWith
string
filterGroups.predicates.customFields.filters.text.endsWith
string
filterGroups.predicates.customFields.filters.text.doesNotContain
string
filterGroups.predicates.customFields.filters.text.like
string
filterGroups.predicates.customFields.filters.text.inList.values
string[]
filterGroups.predicates.customFields.filters.number.eq
number<double>
filterGroups.predicates.customFields.filters.number.ne
number<double>
filterGroups.predicates.customFields.filters.number.gt
number<double>
filterGroups.predicates.customFields.filters.number.gte
number<double>
filterGroups.predicates.customFields.filters.number.lt
number<double>
filterGroups.predicates.customFields.filters.number.lte
number<double>
filterGroups.predicates.customFields.filters.boolValue.eq
boolean
filterGroups.predicates.customFields.filters.boolValue.ne
boolean
filterGroups.predicates.customFields.filters.timestamp.eq
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.timestamp.ne
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.timestamp.gt
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.timestamp.gte
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.timestamp.lt
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.timestamp.lte
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

filterGroups.predicates.customFields.filters.enumValue.eq
string
filterGroups.predicates.customFields.filters.enumValue.ne
string
filterGroups.predicates.customFields.filters.multiSelectValue.contains
string
filterGroups.predicates.customFields.filters.multiSelectValue.doesNotContain
string
filterGroups.predicates.customFields.sourceFilter.eq
string
filterGroups.predicates.customFields.sourceFilter.ne
string
filterGroups.predicates.search.query
string
sort.field
enum<string>
Available options:
JOURNEY_SORT_FIELD_UNSPECIFIED,
JOURNEY_SORT_FIELD_CREATED_AT,
JOURNEY_SORT_FIELD_REQUESTER,
JOURNEY_SORT_FIELD_NAME,
JOURNEY_SORT_FIELD_COMPLETION,
JOURNEY_SORT_FIELD_MANAGER,
JOURNEY_SORT_FIELD_HEALTH_CHECKS,
JOURNEY_SORT_FIELD_DUE_DATE,
JOURNEY_SORT_FIELD_CHATS
sort.direction
enum<string>
Available options:
SORT_DIRECTION_UNSPECIFIED,
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
sort.customFieldId
string

When field is UNSPECIFIED and custom_field_id is set, sort by this custom field.

pageSize
integer<int32>

Defaults to 100 when unset. Must be between 1 and 250; values outside that range produce a 400 InvalidArgument.

pageToken
string

Opaque cursor returned by a previous response. When provided, the same team_id / filter_groups / sort must be sent.

Response

200 - application/json

Success

data
JourneySummary · object[]
nextPageToken
string | null

Empty when there are no more pages.

totalCount
integer<int32>

Number of journeys matching the filters across all pages.

teamTotalCount
integer<int32>

Number of journeys for the team, ignoring filters.